mod svg;

use crate::font::{GlyphHeader, GlyphPoint, Glyph};

pub use svg::SvgWriter;

pub trait Visitor {
	fn write_prefix(&mut self, header: &GlyphHeader);
	fn write_point(&mut self, point: &GlyphPoint);
	fn write_suffix(&mut self);

	fn write(&mut self, glyph: &Glyph) {
		self.write_prefix(&glyph.header);

		glyph.iter().for_each(|point| self.write_point(&point));

		self.write_suffix();
	}
}
